Get Retro Requests

Retrieves the summary of change in identifiers and other details such as email ID, mobile number, external ID, account merge, address change, mobile number reallocation, tier, and retro transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Retro transaction is conversion of non-member transactions to a loyalty transaction by tagging a previous transaction of a customer (once registered).

  • You can enable retro transaction for the org with CONF_RETRO_TRANSACTION_ENABLE on the Billing configuration page. That is, InTouch > Settings > Systems & Deployment > InTouch PoS Configuration > Billing.
  • Check the following configurations for maximum days allowed and minimum time limit required after customer registration to tag a not-interested transaction to that customer.
    • CONF_CLIENT_RETRO_MAX_ALLOWED_AGE_DAYS
    • CONF_CLIENT_RETRO_DELAY_SINCE_REGISTRATION_HOURS

Using Multiple Identifiers

When dual eligibility is enabled in your organisation, the API allows you to send multiple identifiers while fetching details. The system automatically identifies which one is the primary identifier and retrieves the details accordingly. This removes the need for you to know or specify only the primary identifier. This is beneficial in a dual eligibility–enabled scenario, as the feature allows you to register multiple users with the same secondary identifiers.
When you submit multiple identifiers in a lookup request:

  • The service checks that dual eligibility is active.
  • It parses all submitted identifiers, for example email,mobile,externalId
  • It determines which identifier is configured as the primary key.
  • If one of the provided values matches the primary key, the API uses it for the lookup.
  • The API returns the single customer profile associated with the primary identifier.

You can enter multiple identifiers as comma-separated values using the identifierName and identifierValue query parameters. Ensure the order of the identifierName matches the identifierValue.

Note: If you provide only one identifier that is not the primary identifier, the system will return an error, 8015 - Customer not found for given identifiers.

Endpoint Example

https://eu.api.capillarytech.com/v2/customers/lookup/retroRequest?source=INSTORE&&identifierName=email,mobile,externalID&[email protected],915795008395,MPQSP10

Here,

  • [email protected] is the email
  • 915795008395 is the mobile number
  • MPQSP100 is the external ID

Error Code

Error CodeDescriptionReason
8015Customer not found for the given identifiersThe identifier provided is incorrect. When dual eligibility is enabled, if the primary identifier is missing from the input, the system returns the same error.
Query Params
string
enum
required

Source in which the identifier is available.

string

Account ID for sources that support multiple accounts.

string
enum
required

Name of the identifier used to fetch the customer's change requests.

Allowed:
string
required

Value of the specified identifier type.

string
enum

Lets you filter requests by type. Value: EMAIL (for email id changes), MOBILE (for mobile number change history), EXTERNAL_ID (for external ID change history), MERGE (for account merge history), ADDRESS (for address change history), MOBILE_REALLOC (for mobile reallocations), COUPON, POINTS, TIER (for tier change history), and RETRO (for retro transactions).

date

Filter results by date-range. Pass the start date in YYYY-MM-DD format.

date

Filter results by date-range. Pass the end date in YYYY-MM-DD format.

int64

Filter results by sequence ID (sequence in which a change happened). For example, get lists from startId 200

int64

Filter results by sequence ID (sequence in which a change happened). For example, get lists from startId 200 until endId 400.

int64

Number of rows that you want to omit from showing.

int32

Pass the number of results that you want to see.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json